genometools (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Jan 2020 12:39:45 +0100

genometools (1.5.10+ds-5) unstable; urgency=medium

  * Source upload to enable transition to testing.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Dec 2019 22:31:28 +0100

genometools (1.5.10+ds-4) unstable; urgency=medium

  * Build Python3 bindings package instead of Python2.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Update lintian override location and tags.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 08 Sep 2019 17:11:59 +0200

genometools (1.5.10+ds-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Do not parse d/changelog
  * Remove unused patches

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 14:54:51 +0100

genometools (1.5.10+ds-2) unstable; urgency=medium

  * Ensure that src/external is not repopulated by patches.
    Closes: #883848
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Dec 2017 12:58:57 +0100

genometools (1.5.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop and update patches applied upstream.
  * Bump Standards-Version.
  * Drop obsolete -dbg package.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 06 Aug 2017 16:33:26 +0200

genometools (1.5.9+ds-5) unstable; urgency=medium

  * Change test data to make run less problematic.
    This addresses an FTBFS in Ubuntu. Thanks to Graham Inggs for the hint.
  * Switch latex-xcolor dependency to texlive-latex-recommended.
    Thanks to Norbert Preining for the hint.
    Closes: #865248

 -- Sascha Steinbiss <satta@debian.org>  Tue, 10 Jan 2017 17:14:25 +0100

genometools (1.5.9+ds-4) unstable; urgency=medium

  * Switch asciidoc dependency to asciidoc-base.
    Closes: #850341
  * Fix minor spelling issues in help output.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 06 Jan 2017 10:13:08 +0100

genometools (1.5.9+ds-3) unstable; urgency=medium

  * Remove hardcoded number of threads from testsuite call.
    Closes: #836283
  * Make build reproducible.
    - Remove absolute include path to make __FILE__ use relative paths.
    - Remove PDF trailer IDs.
    - Remove build directory from CFLAGS dumped to gt_config.h.
  * Enable verbose build output.
  * Add dependency on docbook-xml.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Sep 2016 17:16:40 +0000

genometools (1.5.9+ds-2) unstable; urgency=medium

  * Use fixed date in split manual source.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Jul 2016 10:54:26 +0000

genometools (1.5.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 22 Jul 2016 11:36:37 +0000

genometools (1.5.8+ds-4) unstable; urgency=medium

  * Make documentation builds reproducible.
    - Add extra date fields to developer's guide and
      matstat manual.
  * Update uploader email address.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Jul 2016 12:24:14 +0000

genometools (1.5.8+ds-3) unstable; urgency=medium

  * Remove explicit -m32 and -m64.
  * Fix dates in manuals (cf upstream PR #780) for reproducibility.
  * Remove unnecessary maintainer scripts.
  * Update upstream metadata.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 27 Apr 2016 09:25:08 +0000

genometools (1.5.8+ds-2) unstable; urgency=medium

  * Fix locale (LC_PAPER) for LaTeX runs (reproducibility).
  * Patch documentation generation to gather API symbols in
    deterministic order.
  * Do not delete two docu files in clean step.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 11 Mar 2016 16:10:42 +0000

genometools (1.5.8+ds-1) unstable; urgency=medium

  * Make sure external headers are used for compilation.
    Thanks to Justus Winter for the patch.
  * Add some more spelling fixes.
  * Exclude included third-party library code.
  * Use xz compression for repacked tarballs.
  * Use upstream distributions from GitHub.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 02 Mar 2016 15:43:46 +0000

genometools (1.5.8-2) unstable; urgency=medium

  * Document migration to Git in d/control
  * Remove unused python-ctypes dependency
  * Update Standards-Version
  * Add dh-python to Build-Depends
  * Fix spelling

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 07 Feb 2016 10:10:25 +0000

genometools (1.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Ensure that /usr/share/genometools/* is complete.
  * Fix spelling.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 07 Jan 2016 22:18:31 +0000

genometools (1.5.7-7) unstable; urgency=medium

  * build API documentation reproducibly

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Dec 2015 19:13:40 +0000

genometools (1.5.7-6) unstable; urgency=medium

  * Reintroduce mips64el which was removed my mistake.
  * Fix detection of x32 build

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 09 Dec 2015 22:20:47 +0000

genometools (1.5.7-5) unstable; urgency=medium

  * Try to load correct renamed .so file in Python bindings
  * Refresh patches
  * Use DEB_TARGET_ARCH to determine build archs

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 08 Dec 2015 00:42:49 +0000

genometools (1.5.7-4) unstable; urgency=medium

  * Fix builds on less popular platforms
    - Check if faketime works
    - Do no use -m32/-m64 on x32
  * Improve reproducibility
    - sort files to compile by name
  * Add autopkgtests

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 04 Dec 2015 22:18:11 +0000

genometools (1.5.7-3) unstable; urgency=low

  * d/control: remove obsolete dependency on libncurses5
    Closes: #804576

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 09 Nov 2015 19:15:29 +0000

genometools (1.5.7-2) unstable; urgency=low

  * disable parallel building

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 10 Oct 2015 12:04:37 +0000

genometools (1.5.7-1) unstable; urgency=low

  * New upstream release.
  * d/rules: try ro improve reproducibility

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 13 Sep 2015 08:22:39 +0000

genometools (1.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 22 Jun 2015 19:26:35 +0000

genometools (1.5.5-2) unstable; urgency=low

  * Disable faketime on hurd-i386 to fix FTBFS on that arch.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 10 Jun 2015 10:03:22 +0000

genometools (1.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 06 Jun 2015 09:49:49 +0000

genometools (1.5.4-2) experimental; urgency=low

  * Work towards reproducibility.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 22 Mar 2015 08:09:07 +0000

genometools (1.5.4-1) experimental; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 12 Dec 2014 12:06:42 +0000

genometools (1.5.3-2) unstable; urgency=low

  * Reactivate missing patch.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 05 Sep 2014 14:23:31 +0100

genometools (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 16 Jul 2014 20:32:19 +0100

genometools (1.5.2-4) unstable; urgency=low

  * Incorporate patches addressing type conversion errors (thanks to
    Michael Tautschnig).
    Closes: #748305

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 24 May 2014 18:57:45 +0000

genometools (1.5.2-3) unstable; urgency=low

  * Address building issues on s390x, powerpc and armhf
  * Don't use -m64 for arm64 (thanks to Logan Rosen)
    Closes: #748708
  * Build-depend on docbook-xsl to fix FTBFS while offline (thanks to
    Logan Rosen)
    Closes: #748709

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 19 May 2014 23:06:34 +0000

genometools (1.5.2-2) unstable; urgency=low

  * Split manuals into separate documents to avoid strange LaTeX build issues.

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 15 May 2014 23:23:20 +0000

genometools (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Remove symbols file because private symbols are exported (next upstream
    version will properly control exported symbols and a new symbols file
    will be created and maintained)
  * Remove manpages from debian directory as they are now autogenerated on
    build
  * Fix some missing symbols problems

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 15 May 2014 10:51:41 +0000

genometools (1.5.1-3) unstable; urgency=low

  * debian/rules
     - Add basic tests to check whether cairo/pango linking works
     - Clean up indices created by tests to make repeated builds possible
     - Make sure bin/examples/sketch_parsed_with_* are built
     - Enable compiler optimization
  * debian/control
     - Move libgenometools0 package into libs section
     - Switch pango deps to new package
     - Add ruby builddep, required for the testsuite

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Wed, 06 Nov 2013 14:28:41 +0100

genometools (1.5.1-2) unstable; urgency=low

  * debian/control
     - Add myself to Uploaders
     - cme fix dpkg-control
     - Follow liblua package name transition
       Closes: #728017
     - Remove depends from virtual package python-ctypes which is provided
       by python
  * provide symbols file

 -- Andreas Tille <tille@debian.org>  Mon, 28 Oct 2013 08:17:04 +0100

genometools (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 07 Mar 2013 14:08:05 +0100

genometools (1.5.0-2) unstable; urgency=low

  * Patch manuals not to use includecomment/excludecomment

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 16 Feb 2013 16:58:11 +0100

genometools (1.5.0-1) unstable; urgency=low

  * New upstream release
  * bugfixes and cleanups
  * development tool `gt sain' added to run an induced suffix array sorting
    algorithm
  * the -typecheck option in the `gt gff3` and `gt gff3validator` tools
    now also validates parent (part-of) relationships, see -help output for
    details
  * new option -encseq besides -seqfile(s) and -regionmapping to select a
    encseq index as a sequence source
  * GtBioseq backend switched to GtEncseq
  * GtSeqCol is now an interface, GtEncseqCol added
  * GtRankedList added
  * GtSNPAnnotatorStream and `gt snpper' tool added
  * node sorting code is now aware of MD5 hash presence
  * compatibility with old Pango versions inproved

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 05 Feb 2013 18:52:22 +0100

genometools (1.4.2-4) unstable; urgency=low

  * Remove shlibs.local file

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 09 Oct 2012 12:24:17 +0200

genometools (1.4.2-3) unstable; urgency=low

  * Build with pbuilder to obtain reasonable libc dependency (>= 2.13)

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 09 Oct 2012 10:04:34 +0200

genometools (1.4.2-2) unstable; urgency=low

  * Fixed libpango-dev dependency
  * Updated manpages

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 08 Oct 2012 07:51:52 +0200

genometools (1.4.2-1) unstable; urgency=low

  * New upstream release
  [ Sponsor Steffen Moeller ]
  * Update of policy to 3.9.4
  * Added DMUA flag

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Fri, 05 Oct 2012 15:47:56 +0200

genometools (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #657923)
  * the GFF3 parser now handles children which are defined before their parents
  * many small improvements to the GFF3 parser

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 09 Jul 2012 14:10:23 +0100
